Subject: bug#37964: [PATCH] Remove references to obsolete libraries

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jan 2020 16:29:40 +0200

> From: Stefan Kangas <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 15 Jan 2020 21:09:15 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Kangas <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Fri, 08 Nov 2019 14:10:53 +0100
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Not sure if we should remove references to starttls etc.  Does anyone
> >> > else have an opinion?
> >> 
> >> My understanding was that we avoid recommending use of obsolete
> >> libraries.  Both tls.el and starttls.el are obsolete in 27.1.
> >> 
> >> The alternative to removing them would be to update it to say they are
> >> now obsolete, I guess?  Please let me know if that is preferred.
> >
> > I don't mind removing the references, I just don't know whether people
> > are still using starttls.  Thus the request for more opinions.
> 
> No further comments within 10 weeks.  Is this okay to install?

Yes, thanks.

> I assume as a doc fix it should go to the release branch.

This case is a rare exception, since we only just declared it obsolete
in the upcoming Emacs 27.1.  Please install on master.